#!/bin/bash
# Тест для проверки точности привязки часов ВК к СЕВ
# (к секундным импульсам от Сервера Точного Времени (СТВ))
# 
usage()
{
	echo "
usage:
        -d      Полное имя устройтва (путь). По умолчанию: /dev/mpv/mpv_0_in:0
        -i      Номер входа МПВ к которому подключен СТВ. По умолчанию 0. (то есть используется /dev/mpv/mpv_0_in:0)
        -D      Максимально допустимое расхождение времени ВК и СТВ в мкс. По умолчаню 100 мкс.
"
}
IN="-i 0"
DIFF="-D 100"
OPTIONS="d:i:D:h"
while getopts $OPTIONS option
do
	case $option in
		d) DEV="-p $OPTARG";;
		i) IN="-i$OPTARG";;
		D) DIFF="-D $OPTARG";;
		*) usage; exit 99;;
	esac
done
if [ ! $DEV ]; then IN=; fi

# Режим работа с СТВ включается при инициализации системы.
# Но если не был включен такой режим, надо включить его.
/usr/bin/mpv_stv -m1 $DEV $IN -q
sleep 5
/usr/bin/mpv_stv $DEV $IN $DIFF
